---
title: Xamarin.Android warning XA4305
description: XA4305 warning code
ms.date: 10/30/2018
---
# Xamarin.Android warning XA4305

## Issue

The `CreateMultiDexMainDexClassList`, `CompileToDalvik` or `R8`
MSBuild task encountered a *multidex.keep* file that was not found on
disk. You can customize multidex settings for your Xamarin.Android
application by adding files with the `MultiDexMainDexList` build item,
which are combined into a final *multidex.keep* file.

To learn more about multidex and how it relates to Android
development, see the [Android documentation][android].

## Solution

Verify you are not declaring a `MultiDexMainDexList` build item that
does not exist.

Consider submitting a [bug][bug] if you are getting this warning under
normal circumstances.

[android]: https://developer.android.com/studio/build/multidex
[bug]: https://github.com/xamarin/xamarin-android/wiki/Submitting-Bugs,-Feature-Requests,-and-Pull-Requests
